Why aren’t TRIRIGA Web Services working on WebSphere 8.5.5?


TRIRIGA Web Services (WSDL) are not working on WebSphere 8.5.5 with TRIRIGA 3.4.2. The error “IncompatibleClassChangeError” is reported. The full error message is as follows:

Caused by: java.lang.IncompatibleClassChangeError:
org.apache.neethi.AssertionBuilderFactory

TRIRIGA 3.4.2 uses the Apache Neethi 3.0.2 jar to support the web services associated with the Connector for Business Applications (CBA). However, it seems that WebSphere 8.5.5.5 uses an earlier version of Neethi internally via [WebSphere root]\AppServer\plugins\org.apache.axis2.jar. The two versions of Neethi don’t particularly care for each other and result in an “IncompatibleClassChangeError” problem… Without the TRIRIGA 3.4.2 Neethi, web services do not work. Without the org.apache.axis2.jar, the WebSphere Admin Console (and probably some other things) do not work…

Continue reading

Leave a Reply

Fill in your details below or click an icon to log in:

WordPress.com Logo

You are commenting using your WordPress.com account. Log Out / Change )

Twitter picture

You are commenting using your Twitter account. Log Out / Change )

Facebook photo

You are commenting using your Facebook account. Log Out / Change )

Google+ photo

You are commenting using your Google+ account. Log Out / Change )

Connecting to %s